Bug 1280312 - Include patches from Fedora in pygpgme
Include patches from Fedora in pygpgme
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pygpgme (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Charalampos Stratakis
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 08:00 EST by Till Maas
Modified: 2018-01-04 10:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-04 10:31:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2015-11-11 08:00:11 EST
Description of problem:
Fedora contains patches to provide access to more attributes/constants from gpgme. However since upstream is dead, they are not shipped there. Is it possible to ship them in RHEL? The patches are:

http://pkgs.fedoraproject.org/cgit/pygpgme.git/tree/pygpgme-no-encrypt-to.patch
http://pkgs.fedoraproject.org/cgit/pygpgme.git/tree/pygpgme-pubkey-hash-algo.patch
Comment 1 Miloslav Trmač 2015-11-11 08:20:04 EST
Thanks for your report.

Do you have a specific use case in mind?

RHEL updates are limited in number and scope, and prioritized by technical and customer need.  Having a customer case attached to this bug (through the Customer Portal, access.redhat.com, or perhaps your organization’s TAM) would make it more likely that these patches can be included.

(For the record, the corresponding Fedora chanage is #975815.)
Comment 2 Till Maas 2015-11-11 10:26:54 EST
Unfortunately I do not have a customer case for this. I use for custom scripts to check signatures and make sure that signatures are using a good algorithm. And the no-encrypt-to hash allows to encrypt files to certain keys only ignoring keys that are set in the gpg.conf file. I falsely remembered that the package was in EPEL and now noticed when trying my script on EPEL7 that it is not and therefore does not contain the patches.
Comment 4 Till Maas 2017-12-07 17:44:13 EST
Please close this ticket. I will not use pygpgme in the future but migrate to python-gpg.

Note You need to log in before you can comment on or make changes to this bug.